From ac32d509971319d8804b184d014730384a7c93ae Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Tue, 16 Aug 2022 18:51:10 -0500
Subject: [PATCH 06/26] avoid shadow vars: basebackup_target.c: ttype

backpatch to v15

commit e4ba69f3f4a1b997aa493cc02e563a91c0f35b87
Author: Robert Haas <rhaas@postgresql.org>
Date:   Tue Mar 15 13:22:04 2022 -0400

    Allow extensions to add new backup targets.
---
 src/backend/backup/basebackup_target.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/backup/basebackup_target.c b/src/backend/backup/basebackup_target.c
index 83928e32055..1553568a37d 100644
--- a/src/backend/backup/basebackup_target.c
+++ b/src/backend/backup/basebackup_target.c
@@ -73,9 +73,9 @@ BaseBackupAddTarget(char *name,
 	/* Search the target type list for an existing entry with this name. */
 	foreach(lc, BaseBackupTargetTypeList)
 	{
-		BaseBackupTargetType *ttype = lfirst(lc);
+		BaseBackupTargetType *this_ttype = lfirst(lc);
 
-		if (strcmp(ttype->name, name) == 0)
+		if (strcmp(this_ttype->name, name) == 0)
 		{
 			/*
 			 * We found one, so update it.
@@ -84,8 +84,8 @@ BaseBackupAddTarget(char *name,
 			 * the same name multiple times, but if it happens, this seems
 			 * like the sanest behavior.
 			 */
-			ttype->check_detail = check_detail;
-			ttype->get_sink = get_sink;
+			this_ttype->check_detail = check_detail;
+			this_ttype->get_sink = get_sink;
 			return;
 		}
 	}
-- 
2.17.1

